# Class TempArray

java.lang.Object
org.jmol.util.TempArray

public class TempArray extends Object

## Constructor Summary

Constructors
Constructor
Description
`TempArray()`

## Method Summary

Modifier and Type
Method
Description
`STR[]`
`allocTempEnum(int size)`
`P3[]`
`allocTempPoints(int size)`
`P3i[]`
`allocTempScreens(int size)`
`void`
`clear()`
`void`
`freeTempEnum(STR[] tempEnum)`
`void`
`freeTempPoints(P3[] tempPoints)`
`void`
`freeTempScreens(P3i[] tempScreens)`
`static Object[]`
`getSlabObjectType(int tok, Object data, boolean isCap, Object colorData)`
`static Object[]`
`getSlabWithinRange(float min, float max)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TempArray

public TempArray()

## Method Details

### clear

public void clear()

### allocTempPoints

public P3[] allocTempPoints(int size)

### freeTempPoints

public void freeTempPoints(P3[] tempPoints)

### allocTempScreens

public P3i[] allocTempScreens(int size)

### freeTempScreens

public void freeTempScreens(P3i[] tempScreens)

### allocTempEnum

public STR[] allocTempEnum(int size)

### freeTempEnum

public void freeTempEnum(STR[] tempEnum)

### getSlabWithinRange

public static Object[] getSlabWithinRange(float min, float max)

### getSlabObjectType

public static Object[] getSlabObjectType(int tok, Object data, boolean isCap, Object colorData)